commit:     17d4d333e817126a12c7984634be0157eb671934
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 24 13:12:58 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jan 24 13:14:28 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17d4d333

dev-ruby/activesupport: backport logger fix

Closes: https://bugs.gentoo.org/948648
Closes: https://bugs.gentoo.org/948615
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../activesupport/activesupport-7.0.8.7-r1.ebuild  | 79 ++++++++++++++++++++++
 .../files/activesupport-7.0.8.7-logger.patch       | 22 ++++++
 2 files changed, 101 insertions(+)

diff --git a/dev-ruby/activesupport/activesupport-7.0.8.7-r1.ebuild 
b/dev-ruby/activesupport/activesupport-7.0.8.7-r1.ebuild
new file mode 100644
index 000000000000..548d0aec72f1
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.0.8.7-r1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+PATCHES=( "${FILESDIR}/${P}-logger.patch" )
+
+ruby_add_rdepend "
+       >=dev-ruby/concurrent-ruby-1.0.2:1
+       >=dev-ruby/i18n-1.6:1
+       dev-ruby/tzinfo:2
+       >=dev-ruby/minitest-5.1
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+       >=dev-ruby/dalli-3.0.1
+       dev-ruby/connection_pool
+       >=dev-ruby/nokogiri-1.8.1
+       >=dev-ruby/builder-3.1.0
+       >=dev-ruby/listen-3.3:3
+       dev-ruby/rack
+       dev-ruby/rexml
+       dev-ruby/mocha
+       dev-ruby/minitest
+       )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\|cgi\|net-smtp\|net-imap\|net-pop\|digest\|matrix\|readline-ext\)/
 s:^:#:" \
+               -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+               -e '/group 
:\(doc\|rubocop\|job\|cable\|storage\|ujs\|test\|view\) do/,/^end/ s:^:#:' \
+               -e 's/gemspec/gemspec path: "activesupport"/' \
+               -e '5igem "builder"; gem "rack"' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Avoid test that depends on timezone
+       sed -i -e '/test_implicit_coercion/,/^  end/ s:^:#:' 
test/core_ext/duration_test.rb || die
+
+       # Avoid tests that seem to trigger race conditions.
+       rm -f test/evented_file_update_checker_test.rb || die
+
+       # Avoid test that generates filename that is too long
+       sed -i -e '/test_filename_max_size/askip "gentoo"' 
test/cache/stores/file_store_test.rb || die
+
+       # Avoid tests requiring a live redis running
+       rm -f test/cache/stores/redis_cache_store_test.rb || die
+       sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+       sed -i -e '/test_redis_cache_store/askip "lacking keywords"' 
test/cache/cache_store_setting_test.rb || die
+
+       # Avoid test where the result varies with specific ruby releases.
+       rm -f test/core_ext/object/duplicable_test.rb || die
+}

diff --git a/dev-ruby/activesupport/files/activesupport-7.0.8.7-logger.patch 
b/dev-ruby/activesupport/files/activesupport-7.0.8.7-logger.patch
new file mode 100644
index 000000000000..922f4fc33c35
--- /dev/null
+++ b/dev-ruby/activesupport/files/activesupport-7.0.8.7-logger.patch
@@ -0,0 +1,22 @@
+From 6a7c72c078715380bf24f029624e6b1fb3035c97 Mon Sep 17 00:00:00 2001
+From: Antti Hukkanen <antti.hukka...@mainiotech.fi>
+Date: Thu, 16 Jan 2025 11:17:29 +0200
+Subject: [PATCH] Ensure the logger gem is loaded in Rails 7.0
+
+Fix #54260, #54263
+---
+ activesupport/lib/active_support/logger_thread_safe_level.rb | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/activesupport/lib/active_support/logger_thread_safe_level.rb 
b/activesupport/lib/active_support/logger_thread_safe_level.rb
+index 042f484f8210d..aa84a7c5de5c6 100644
+--- a/lib/active_support/logger_thread_safe_level.rb
++++ b/lib/active_support/logger_thread_safe_level.rb
+@@ -4,6 +4,7 @@
+ require "active_support/core_ext/module/attribute_accessors"
+ require "concurrent"
+ require "fiber"
++require "logger"
+ 
+ module ActiveSupport
+   module LoggerThreadSafeLevel # :nodoc:

Reply via email to